<?php

include('../../path.php');

require_once(ROOT_CONTROLLER.'configuracion_app.php');

$Obj_configuracion_app = new configuracion_app();

require_once(ROOT_CHARACTER_FIX);

$Obj_fix_characters = new fix_characters();



$action=!empty($_REQUEST['action'])?$_REQUEST['action']:'';



if (!empty($_POST))

{

    $Id_Configuracion_App=!empty($_REQUEST['Id_Configuracion_App'])?$_REQUEST['Id_Configuracion_App']:'';

   $Logo_APP=!empty($_REQUEST['Logo_APP'])?$_REQUEST['Logo_APP']:'';

   $Logo_Fav_Icon=!empty($_REQUEST['Logo_Fav_Icon'])?$_REQUEST['Logo_Fav_Icon']:'';

   $Titulo_App=!empty($_REQUEST['Titulo_App'])?$_REQUEST['Titulo_App']:'';

   $Descripcion_Login_App=!empty($_REQUEST['Descripcion_Login_App'])?$_REQUEST['Descripcion_Login_App']:'';

   $Contenido_Inicio=!empty($_REQUEST['Contenido_Inicio'])?$_REQUEST['Contenido_Inicio']:'';

   $Img_Inicio=!empty($_REQUEST['Img_Inicio'])?$_REQUEST['Img_Inicio']:'';

   $Modulo_Inicio=!empty($_REQUEST['Modulo_Inicio'])?$_REQUEST['Modulo_Inicio']:'';

   $Habilitar_Formulario_Registro=!empty($_REQUEST['Habilitar_Formulario_Registro'])?$_REQUEST['Habilitar_Formulario_Registro']:'';

   $Correo_Api=!empty($_REQUEST['Correo_Api'])?$_REQUEST['Correo_Api']:'';

   $Password_Correo_Api=!empty($_REQUEST['Password_Correo_Api'])?$_REQUEST['Password_Correo_Api']:'';

   $Password_Correo_Api_Encrypt=!empty($_REQUEST['Password_Correo_Api_Encrypt'])?$_REQUEST['Password_Correo_Api_Encrypt']:'';

   $Stripe_Api_Key=!empty($_REQUEST['Stripe_Api_Key'])?$_REQUEST['Stripe_Api_Key']:'';

   $Stripe_Client=!empty($_REQUEST['Stripe_Client'])?$_REQUEST['Stripe_Client']:'';

   $Mercado_Pago_Api_Key=!empty($_REQUEST['Mercado_Pago_Api_Key'])?$_REQUEST['Mercado_Pago_Api_Key']:'';

   $Mercado_pago_Client=!empty($_REQUEST['Mercado_pago_Client'])?$_REQUEST['Mercado_pago_Client']:'';

   $Usuario_Api_SMS=!empty($_REQUEST['Usuario_Api_SMS'])?$_REQUEST['Usuario_Api_SMS']:'';

   $Password_Api_SMS=!empty($_REQUEST['Password_Api_SMS'])?$_REQUEST['Password_Api_SMS']:'';

   $Password_Api_SMS_Encrypt=!empty($_REQUEST['Password_Api_SMS_Encrypt'])?$_REQUEST['Password_Api_SMS_Encrypt']:'';



   $Id_Fk_Rol=!empty($_REQUEST['Id_Fk_Rol'])?$_REQUEST['Id_Fk_Rol']:'';

   $Fecha_Registro=!empty($_REQUEST['Fecha_Registro'])?$_REQUEST['Fecha_Registro']:'';

   $Fecha_Modifico=!empty($_REQUEST['Fecha_Modifico'])?$_REQUEST['Fecha_Modifico']:'';

   

    $Field=!empty($_REQUEST['Field'])?$_REQUEST['Field']:''; 

    $Field=$Obj_fix_characters->fix($Field);

    $Value=!empty($_REQUEST['Value'])?$_REQUEST['Value']:''; 

    $Value=$Obj_fix_characters->fix($Value);





   $Template=!empty($_REQUEST['Template'])?$_REQUEST['Template']:'';

   $Theme_Template=!empty($_REQUEST['Theme_Template'])?$_REQUEST['Theme_Template']:'';

   $Color_Template=!empty($_REQUEST['Color_Template'])?$_REQUEST['Color_Template']:'';

   $Loading_Page=!empty($_REQUEST['Loading_Page'])?$_REQUEST['Loading_Page']:'';

   $Rows_Columns=!empty($_REQUEST['Rows_Columns'])?$_REQUEST['Rows_Columns']:'';



}    



switch ($action) {



    case 'campos':

        try{

            $Obj_configuracion_app->update_field_configuracion_app($Field,$Value,$Id_Configuracion_App);

            }   

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;



    

    case 'editar':



        try{

            /*$Color_Template=str_replace('rgb(', '', $Color_Template);

            $Color_Template=str_replace(',', '', $Color_Template);



            $Color_Template=str_replace(')', '', $Color_Template);

            */

            $r = hexdec(substr($Color_Template, 1, 2));

            $g = hexdec(substr($Color_Template, 3, 2));

            $b = hexdec(substr($Color_Template, 5, 2));



            if($Theme_Template=='Color personalizado'){

                actualizarVariable('Color', $r.' '.$g.' '.$b);

            }else{

                actualizarVariable('Color', '');

            }

            actualizarVariable('Template', $Template);

            actualizarVariable('Theme_Template', $Theme_Template);

            //actualizarVariable('css', 'app_'.$Template.'.php');

            actualizarVariable('css', 'app_'.$Template);

            actualizarVariable('loadingpage', $Loading_Page.'.php');

            actualizarVariable('Rows_Columns', $Rows_Columns);

            

            if (!is_dir('../../../pwa')) {

                if (mkdir('../../../pwa', 0755, true)) {

                }

            }

            

            if ($Logo_APP!='') {

                $tamano = $_FILES ['logoapp']['size'];

                    if ($tamano>0) 

                    {

                        if (extension_loaded('gd')) {

                            /**subimos la imagen al pwa**/

                            $file = $_FILES["logoapp"];

                            $fileTmpPath = $file['tmp_name'];

                            // Subir la imagen redimensionada a 72x72

                            $image72 = imagecreatefromstring(file_get_contents($fileTmpPath));

                            $resized72 = imagescale($image72, 72, 72);

                            imagepng($resized72, "../../../pwa/icon-72x72.png");

                            imagedestroy($image72);

                            imagedestroy($resized72);

                        

                            // Subir la imagen redimensionada a 96x96

                            $image96 = imagecreatefromstring(file_get_contents($fileTmpPath));

                            $resized96 = imagescale($image96, 96, 96);

                            imagepng($resized96, "../../../pwa/icon-96x96.png");

                            imagedestroy($image96);

                            imagedestroy($resized96);

                        

                            // Subir la imagen redimensionada a 128x128

                            $image128 = imagecreatefromstring(file_get_contents($fileTmpPath));

                            $resized128 = imagescale($image128, 128, 128);

                            imagepng($resized128, "../../../pwa/icon-128x128.png");

                            imagedestroy($image128);

                            imagedestroy($resized128);

                        

                            // Subir la imagen redimensionada a 144x144

                            $image144 = imagecreatefromstring(file_get_contents($fileTmpPath));

                            $resized144 = imagescale($image144, 144, 144);

                            imagepng($resized144, "../../../pwa/icon-144x144.png");

                            imagedestroy($image144);

                            imagedestroy($resized144);

                        

                        

                            // Subir la imagen redimensionada a 152x152

                            $image152 = imagecreatefromstring(file_get_contents($fileTmpPath));

                            $resized152 = imagescale($image152, 152, 152);

                            imagepng($resized152, "../../../pwa/icon-152x152.png");

                            imagedestroy($image152);

                            imagedestroy($resized152);

                        

                            // Subir la imagen redimensionada a 192x192

                            $image192 = imagecreatefromstring(file_get_contents($fileTmpPath));

                            $resized192 = imagescale($image192, 192, 192);

                            imagepng($resized192, "../../../pwa/icon-192x192.png");

                            imagedestroy($image192);

                            imagedestroy($resized192);

                        

                                // Subir la imagen redimensionada a 384x384

                            $image384 = imagecreatefromstring(file_get_contents($fileTmpPath));

                            $resized384 = imagescale($image384, 384, 384);

                            imagepng($resized384, "../../../pwa/icon-384x384.png");

                            imagedestroy($image384);

                            imagedestroy($resized384);

                        

                            // Subir la imagen redimensionada a 512x512

                            $image512 = imagecreatefromstring(file_get_contents($fileTmpPath));

                            $resized512 = imagescale($image512, 512, 512);

                            imagepng($resized512, "../../../pwa/icon-512x512.png");

                            imagedestroy($image512);

                            imagedestroy($resized512);

                        }

                        

                        if (strpos($_FILES["logoapp"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["logoapp"]["type"]); 

                            $Mec_type='img';

                        }                    

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") {

                            move_uploaded_file ($_FILES ['logoapp']['tmp_name'], $Logo_APP);

                        }

                    }

                }

                else

                {

                    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                    $cad = ""; 

                    for($i=0;$i<12;$i++) { 

                        $cad .= substr($str,rand(0,62),1); 

                    } 

                    $tamano = $_FILES ['logoapp']['size'];  

                    $tamano_max="50000000000";  

                    // echo $tamano;

                    if( $tamano < $tamano_max){   

                        $destino = '../../../dist/images' ;                   

                        $sep="";

                        $Mec_type="";

                        if (strpos($_FILES["logoapp"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["logoapp"]["type"]);

                            $Mec_type='img';

                        }

                        if (strpos($_FILES["logoapp"]["type"], 'audio/') !== false) {

                            $sep=explode('audio/',$_FILES["logoapp"]["type"]); 

                            $Mec_type='aud';

                        }

                        if ($tamano>0) {

                        $tipo=$sep[1];    

                        }

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { 

                            try {

                                if ($tamano>0){

                                    if (extension_loaded('gd')) {

                                        /**subimos la imagen al pwa**/

                                        $file = $_FILES["logoapp"];

                                        $fileTmpPath = $file['tmp_name'];

                                        // Subir la imagen redimensionada a 72x72

                                        $image72 = imagecreatefromstring(file_get_contents($fileTmpPath));

                                        $resized72 = imagescale($image72, 72, 72);

                                        imagepng($resized72, "../../../pwa/icon-72x72.png");

                                        imagedestroy($image72);

                                        imagedestroy($resized72);

                                    

                                        // Subir la imagen redimensionada a 96x96

                                        $image96 = imagecreatefromstring(file_get_contents($fileTmpPath));

                                        $resized96 = imagescale($image96, 96, 96);

                                        imagepng($resized96, "../../../pwa/icon-96x96.png");

                                        imagedestroy($image96);

                                        imagedestroy($resized96);

                                        

                                        // Subir la imagen redimensionada a 128x128

                                        $image128 = imagecreatefromstring(file_get_contents($fileTmpPath));

                                        $resized128 = imagescale($image128, 128, 128);

                                        imagepng($resized128, "../../../pwa/icon-128x128.png");

                                        imagedestroy($image128);

                                        imagedestroy($resized128);

                                    

                                        // Subir la imagen redimensionada a 144x144

                                        $image144 = imagecreatefromstring(file_get_contents($fileTmpPath));

                                        $resized144 = imagescale($image144, 144, 144);

                                        imagepng($resized144, "../../../pwa/icon-144x144.png");

                                        imagedestroy($image144);

                                        imagedestroy($resized144);

                                    

                                    

                                        // Subir la imagen redimensionada a 152x152

                                        $image152 = imagecreatefromstring(file_get_contents($fileTmpPath));

                                        $resized152 = imagescale($image152, 152, 152);

                                        imagepng($resized152, "../../../pwa/icon-152x152.png");

                                        imagedestroy($image152);

                                        imagedestroy($resized152);

                                    

                                        // Subir la imagen redimensionada a 192x192

                                        $image192 = imagecreatefromstring(file_get_contents($fileTmpPath));

                                        $resized192 = imagescale($image192, 192, 192);

                                        imagepng($resized192, "../../../pwa/icon-192x192.png");

                                        imagedestroy($image192);

                                        imagedestroy($resized192);

                                    

                                            // Subir la imagen redimensionada a 384x384

                                        $image384 = imagecreatefromstring(file_get_contents($fileTmpPath));

                                        $resized384 = imagescale($image384, 384, 384);

                                        imagepng($resized384, "../../../pwa/icon-384x384.png");

                                        imagedestroy($image384);

                                        imagedestroy($resized384);

                                    

                                        // Subir la imagen redimensionada a 512x512

                                        $image512 = imagecreatefromstring(file_get_contents($fileTmpPath));

                                        $resized512 = imagescale($image512, 512, 512);

                                        imagepng($resized512, "../../../pwa/icon-512x512.png");

                                        imagedestroy($image512);

                                        imagedestroy($resized512);

                                    }

                                    

                                    move_uploaded_file ($_FILES ['logoapp']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);         

                                }

                            

                            } catch (Exception $e) {

                            }

                            $Mec_urla=$cad;

                            $Mec_formato='.'.$tipo;

                        } else { 

                             $logoapp="";

                        }

                    } else { 

                        $logoapp="";

                    }

                    if (strlen($tipo)==0) {

                        $logoapp='';       

                    } else {

                        $logoapp=$destino.'/'.$cad.'.'.$tipo;      

                    }

                    $Logo_APP=$logoapp;    

                }



            if ($Logo_Fav_Icon!='') {

                $tamano = $_FILES ['logofavicon']['size'];

                    if ($tamano>0) 

                    {

                        if (strpos($_FILES["logofavicon"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["logofavicon"]["type"]); 

                            $Mec_type='img';

                        }                    

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") {

                            move_uploaded_file ($_FILES ['logofavicon']['tmp_name'], $Logo_Fav_Icon);

                        }

                    }

                }

                else

                {

                    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                    $cad = ""; 

                    for($i=0;$i<12;$i++) { 

                        $cad .= substr($str,rand(0,62),1); 

                    } 

                    $tamano = $_FILES ['logofavicon']['size'];  

                    $tamano_max="50000000000";  

                    // echo $tamano;

                    if( $tamano < $tamano_max){   

                        $destino = '../../../dist/images' ;                   

                        $sep="";

                        $Mec_type="";

                        if (strpos($_FILES["logofavicon"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["logofavicon"]["type"]);

                            $Mec_type='img';

                        }

                        if (strpos($_FILES["logofavicon"]["type"], 'audio/') !== false) {

                            $sep=explode('audio/',$_FILES["logofavicon"]["type"]); 

                            $Mec_type='aud';

                        }

                        if ($tamano>0) {

                        $tipo=$sep[1];    

                        }

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { 

                            try {

                                if ($tamano>0){

                                    move_uploaded_file ($_FILES ['logofavicon']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);         

                                }

                            

                            } catch (Exception $e) {

                            }

                            $Mec_urla=$cad;

                            $Mec_formato='.'.$tipo;

                        } else { 

                             $logofavicon="";

                        }

                    } else { 

                        $logofavicon="";

                    }

                    if (strlen($tipo)==0) {

                        $logofavicon='';       

                    } else {

                        $logofavicon=$destino.'/'.$cad.'.'.$tipo;      

                    }

                    $Logo_Fav_Icon=$logofavicon;    

                }

                if($Contenido_Inicio=='Imagen'){

                    if ($Img_Inicio!='') {

                    $tamano = $_FILES ['imginicio']['size'];

                        if ($tamano>0) 

                        {

                            if (strpos($_FILES["imginicio"]["type"], 'image/') !== false) {

                                $sep=explode('image/',$_FILES["imginicio"]["type"]); 

                                $Mec_type='img';

                            }                    

                            $tipo=$sep[1]; // Optenemos el tipo de imagen que es

                            if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") {

                                move_uploaded_file ($_FILES ['imginicio']['tmp_name'], $Img_Inicio);

                            }

                        }

                    }

                    else

                    {

                        $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                        $cad = ""; 

                        for($i=0;$i<12;$i++) { 

                            $cad .= substr($str,rand(0,62),1); 

                        } 

                        $tamano = $_FILES ['imginicio']['size'];  

                        $tamano_max="50000000000";  

                        // echo $tamano;

                        if( $tamano < $tamano_max){   

                            $destino = '../../../dist/images' ;                   

                            $sep="";

                            $Mec_type="";

                            if (strpos($_FILES["imginicio"]["type"], 'image/') !== false) {

                                $sep=explode('image/',$_FILES["imginicio"]["type"]);

                                $Mec_type='img';

                            }

                            if (strpos($_FILES["imginicio"]["type"], 'audio/') !== false) {

                                $sep=explode('audio/',$_FILES["imginicio"]["type"]); 

                                $Mec_type='aud';

                            }

                            if ($tamano>0) {

                            $tipo=$sep[1];    

                            }

                            if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { 

                                try {

                                    if ($tamano>0){

                                        move_uploaded_file ($_FILES ['imginicio']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);         

                                    }

                                

                                } catch (Exception $e) {

                                }

                                $Mec_urla=$cad;

                                $Mec_formato='.'.$tipo;

                            } else { 

                                 $imginicio="";

                            }

                        } else { 

                            $imginicio="";

                        }

                        if (strlen($tipo)==0) {

                            $imginicio='';       

                        } else {

                            $imginicio=$destino.'/'.$cad.'.'.$tipo;      

                        }

                        $Img_Inicio=$imginicio;    

                    }

                }

             $Obj_configuracion_app->update_configuracion_app($Id_Configuracion_App, $Logo_APP, $Logo_Fav_Icon, $Titulo_App, $Descripcion_Login_App,$Contenido_Inicio,$Img_Inicio,$Modulo_Inicio,$Habilitar_Formulario_Registro, $Correo_Api, $Password_Correo_Api, $Password_Correo_Api_Encrypt, $Stripe_Api_Key, $Stripe_Client, $Mercado_Pago_Api_Key, $Mercado_pago_Client, $Usuario_Api_SMS, $Password_Api_SMS, $Password_Api_SMS_Encrypt,$Id_Fk_Rol, $Fecha_Registro, $Fecha_Modifico);

              $locations="Location: ./success#$Id_Configuracion_App";

             header($locations);

            }   

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;



           case 'registrar':



        try{

        if($_FILES ['logoapp']['size']>0){

            $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

            $cad = ""; 

            for($i=0;$i<12;$i++) { 

                $cad .= substr($str,rand(0,62),1); 

            } 

            $tamano = $_FILES ['logoapp']['size']; 

            $tamano_max="50000000000";

            if( $tamano < $tamano_max){ 

                $destino = '../../../dist/images' ;                     

                $sep="";

                $Mec_type="";

                if (strpos($_FILES["logoapp"]["type"], 'image/') !== false) {

                    $sep=explode('image/',$_FILES["logoapp"]["type"]);

                    $Mec_type='img';

                }

                if (strpos($_FILES["logoapp"]["type"], 'audio/') !== false) {

                    $sep=explode('audio/',$_FILES["logoapp"]["type"]); 

                    $Mec_type='aud';

                }

                if ($tamano>0) {

                $tipo=$sep[1];     

                }

                if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") {

                    try {

                        if ($tamano>0){

                            move_uploaded_file ($_FILES ['logoapp']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);                  

                        }

                    

                    } catch (Exception $e) {

                    }

                    $Mec_urla=$cad;

                    $Mec_formato='.'.$tipo;

                } else { 

                     $logoapp="";

                }

            } else { 

                $logoapp="";

            }

            if (strlen($tipo)==0) {

                $logoapp='';       

            } else {

                $logoapp=$destino.'/'.$cad.'.'.$tipo;      

            }

            $Logo_APP=$logoapp; 

        } 



        if($_FILES ['logofavicon']['size']>0){

            // Creamos la cadena aletoria para la imagen.

            $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

            $cad = ""; 

            for($i=0;$i<12;$i++) { 

                $cad .= substr($str,rand(0,62),1); 

            } 

            // Fin de la creacion de la cadena aletoria 

            $tamano = $_FILES ['logofavicon']['size']; // Leemos el tamano del fichero 

            $tamano_max="50000000000"; // tamano maximo permitido 

            // echo $tamano;

            if( $tamano < $tamano_max){ // Comprovamos el tamano  

                $destino = '../../../dist/images' ; // Carpeta donde se guarda                    

                $sep="";

                $Mec_type="";

                if (strpos($_FILES["logofavicon"]["type"], 'image/') !== false) {

                    $sep=explode('image/',$_FILES["logofavicon"]["type"]); // Separamos image/ 

                    $Mec_type='img';

                }

                if (strpos($_FILES["logofavicon"]["type"], 'audio/') !== false) {

                    $sep=explode('audio/',$_FILES["logofavicon"]["type"]); // Separamos image/ 

                    $Mec_type='aud';

                }

                if ($tamano>0) {

                $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                }

                if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Siimagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                    try {

                        if ($tamano>0){

                        // se comentaron para que le cambie el nombre a la nueva imagen.

                            move_uploaded_file ($_FILES ['logofavicon']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                         // Subimos el archivo                          

                        }

                    

                    } catch (Exception $e) {

                    }

                    $Mec_urla=$cad;

                    $Mec_formato='.'.$tipo;

                } else { 

                     $logofavicon="";

                }

            } else { 

                $logofavicon="";

            }

            if (strlen($tipo)==0) {

                $logofavicon='';       

            } else {

                $logofavicon=$destino.'/'.$cad.'.'.$tipo;      

            }

            //termina algoritmo de carga de imagen.

            $Logo_Fav_Icon=$logofavicon; 

        } 

        if($Contenido_Inicio=='Imagen'){

            if($_FILES ['imginicio']['size']>0){

                // Creamos la cadena aletoria para la imagen.

                $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                $cad = ""; 

                for($i=0;$i<12;$i++) { 

                    $cad .= substr($str,rand(0,62),1); 

                } 

                // Fin de la creacion de la cadena aletoria 

                $tamano = $_FILES ['imginicio']['size']; // Leemos el tamano del fichero 

                $tamano_max="50000000000"; // tamano maximo permitido 

                // echo $tamano;

                if( $tamano < $tamano_max){ // Comprovamos el tamano  

                    $destino = '../../../dist/images' ; // Carpeta donde se guarda                    

                    $sep="";

                    $Mec_type="";

                    if (strpos($_FILES["imginicio"]["type"], 'image/') !== false) {

                        $sep=explode('image/',$_FILES["imginicio"]["type"]); // Separamos image/ 

                        $Mec_type='img';

                    }

                    if (strpos($_FILES["imginicio"]["type"], 'audio/') !== false) {

                        $sep=explode('audio/',$_FILES["imginicio"]["type"]); // Separamos image/ 

                        $Mec_type='aud';

                    }

                    if ($tamano>0) {

                    $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                    }

                    if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Siimagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                        try {

                            if ($tamano>0){

                            // se comentaron para que le cambie el nombre a la nueva imagen.

                                move_uploaded_file ($_FILES ['imginicio']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                             // Subimos el archivo                          

                            }

                        

                        } catch (Exception $e) {

                        }

                        $Mec_urla=$cad;

                        $Mec_formato='.'.$tipo;

                    } else { 

                         $imginicio="";

                    }

                } else { 

                    $imginicio="";

                }

                if (strlen($tipo)==0) {

                    $imginicio='';       

                } else {

                    $imginicio=$destino.'/'.$cad.'.'.$tipo;      

                }

                //termina algoritmo de carga de imagen.

                $Img_Inicio=$imginicio; 

            } 

        }

 

         $idtupla=$Obj_configuracion_app->insert_configuracion_app($Logo_APP, $Logo_Fav_Icon, $Titulo_App, $Descripcion_Login_App,$Contenido_Inicio,$Img_Inicio,$Modulo_Inicio,$Habilitar_Formulario_Registro, $Correo_Api, $Password_Correo_Api, $Password_Correo_Api_Encrypt, $Stripe_Api_Key, $Stripe_Client, $Mercado_Pago_Api_Key, $Mercado_pago_Client, $Usuario_Api_SMS, $Password_Api_SMS, $Password_Api_SMS_Encrypt,$Id_Fk_Rol, $Fecha_Registro, $Fecha_Modifico);

            $locations="Location: ./";

            header($locations);        

           }    

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }   



        break;

    

        case 'eliminar':           

                try{

              $Obj_configuracion_app->delete_configuracion_app($Id_Configuracion_App);

                 $locations ="Location: ./";

                 header($locations);

                }

        

                catch (Exception $e) {

                    echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

                }   



        break;



    default:

        

        break;

}



function actualizarVariable($nombreVariable, $nuevoValor) {

    // Leer el contenido actual del archivo

    $contenido = file_get_contents('../../../settings_template.txt');



    // Dividir el contenido en líneas

    $lineas = explode("\n", $contenido);



    // Buscar y modificar la línea que contiene la variable deseada

    foreach ($lineas as &$linea) {

        if (strpos($linea, $nombreVariable . '=') === 0) {

            $linea = $nombreVariable . '=' . $nuevoValor;

            break;

        }

    }



    // Unir las líneas modificadas

    $nuevoContenido = implode("\n", $lineas);



    // Escribir el nuevo contenido en el archivo

    file_put_contents('../../../settings_template.txt', $nuevoContenido);



    //echo 'Valor de ', $nombreVariable, ' modificado con éxito.';

}

?>

